{ pkgs, hostname, ... }:
{
  networking.hostName = hostname;
  imports = [
    ./boot.nix
    ./nfs-client.nix
    ./nix-ld.nix
    ./printers.nix
  ];

    nixpkgs.config.packageOverrides = pkgs: {
    technic-launcher = pkgs.callPackage ../../modules/technic-launcher {};
  };

  environment.systemPackages = with pkgs; [
    technic-launcher
  ];

  programs.gamemode.enable = true;
  
  hardware.bluetooth.enable = true;
  services.hardware.bolt.enable = true;

}
